summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid P <megver83@parabola.nu>2022-05-29 14:08:38 -0400
committerDavid P <megver83@parabola.nu>2022-05-29 14:08:38 -0400
commit9d550db31666d7becfc22a3e30488dc65e7bd374 (patch)
tree837c0520d26cacc1cfa392ac0503487811f35622
parentb5f875d0f0284487a492a854ac073dd45fc9bc80 (diff)
linux-libre-pck: disable non-building armv7 modules
Signed-off-by: David P <megver83@parabola.nu>
-rw-r--r--libre/linux-libre-pck/PKGBUILD4
-rw-r--r--libre/linux-libre-pck/config.armv7h7
2 files changed, 7 insertions, 4 deletions
diff --git a/libre/linux-libre-pck/PKGBUILD b/libre/linux-libre-pck/PKGBUILD
index 324b3542b..ca9cb9896 100644
--- a/libre/linux-libre-pck/PKGBUILD
+++ b/libre/linux-libre-pck/PKGBUILD
@@ -48,7 +48,7 @@ sha512sums=('565de7f956e40a931858cb29b61619f25fc57ce588b8762bef806e470d20bbbdf98
'SKIP'
'50de63086aef1cd4278fc7088ae537ae6eb4994a4e8d09edbc957ff90e7232b85ce37928117589a1a619ded90eb584b770579e6efc5d5b2cc3e4f6c6cd96a71a'
'f18d743a28afde8af4701853dfb59bfe6f3789756f9ffa3658cb2c75a8af59cd30ae125b74882529ad81b2c399e42ea56fabdc1e4354d5ce2b84d8ac2d96a51f'
- '51b697e07fa8c8df390e329e1ac0ca50a0b255ffcb3eb3dc224c01d64e0113f05b804215cdc2a67cd43f91c88a84001af2f0c00fcf2f1ad932216100d28e7eff'
+ 'e92981457f0747cf9b595557459740155188b80e3908eb5cd35579c647bcaddc5be8376a2b4c47b984f52009c1764789bc9a009fb9b18207d524c32e8ad644e0'
'53103bf55b957b657039510527df0df01279dec59cda115a4d6454e4135025d4546167fa30bdc99107f232561c1e096d8328609ab5a876cf7017176f92ad3e0b')
sha512sums_i686=('bca15cc96f64c38adcd13a46752866b5b30555ac21e19b3f7afcd20fcb7ec585c9d990fe8f842f44d5f69d477d72867fe6a9102729f26f93f5a80b372e41ce85')
@@ -112,7 +112,7 @@ prepare() {
echo "Setting config..."
cp ../config.$CARCH .config
make olddefconfig
- diff -u ../config .config || :
+ diff -u ../config.$CARCH .config || :
make -s kernelrelease > version
echo "Prepared $pkgbase version $(<version)"
diff --git a/libre/linux-libre-pck/config.armv7h b/libre/linux-libre-pck/config.armv7h
index 0184d6e1e..cd5e1afac 100644
--- a/libre/linux-libre-pck/config.armv7h
+++ b/libre/linux-libre-pck/config.armv7h
@@ -7,10 +7,12 @@ CONFIG_CC_IS_GCC=y
CONFIG_GCC_VERSION=110200
CONFIG_CLANG_VERSION=0
CONFIG_AS_IS_GNU=y
-CONFIG_AS_VERSION=23700
+CONFIG_AS_VERSION=23800
CONFIG_LD_IS_BFD=y
CONFIG_LD_VERSION=23800
CONFIG_LLD_VERSION=0
+CONFIG_CC_CAN_LINK=y
+CONFIG_CC_CAN_LINK_STATIC=y
CONFIG_CC_HAS_ASM_GOTO=y
CONFIG_CC_HAS_ASM_GOTO_OUTPUT=y
CONFIG_CC_HAS_ASM_INLINE=y
@@ -1139,7 +1141,7 @@ CONFIG_TCP_CONG_YEAH=m
CONFIG_TCP_CONG_ILLINOIS=m
CONFIG_TCP_CONG_DCTCP=m
CONFIG_TCP_CONG_CDG=m
-CONFIG_TCP_CONG_BBR=m
+# CONFIG_TCP_CONG_BBR is not set
# CONFIG_TCP_CONG_BBR2 is not set
CONFIG_DEFAULT_CUBIC=y
# CONFIG_DEFAULT_RENO is not set
@@ -1536,6 +1538,7 @@ CONFIG_BRIDGE_EBT_SNAT=m
CONFIG_BRIDGE_EBT_LOG=m
CONFIG_BRIDGE_EBT_NFLOG=m
CONFIG_BPFILTER=y
+CONFIG_BPFILTER_UMH=m
CONFIG_IP_DCCP=m
CONFIG_INET_DCCP_DIAG=m